### Method

# Phosh WWanManager has_data

#### Declaration [src]

    gboolean
    phosh_wwan_manager_has_data (
      PhoshWWanManager* self
    )

#### Description [src]

Gets whether there’s a data connection that could possibly be enabled. It doesn’t take into account whether the connection is enabled or not. See `phosh_wwan_manager_get_data_enabled()`.

Gets property | `Phosh.WWanManager:has-data`

#### Return value

Type: `gboolean`

`TRUE` if there’s a activatable data connection.